package com.cyksj.common.annotation;


import com.cyksj.enums.BusinessType;

import java.lang.annotation.*;

/*
 *项目名: yicang-admin
 *文件名: Log
 *创建者: JavaZou
 *创建时间:2022/9/30 10:47
 */
@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Log {
	/**
	 * 模块
	 */
	String module() default "";

	/**
	 * 功能
	 */
	BusinessType businessType() default BusinessType.OTHER;

	/**
	 * 是否保存请求的参数
	 */
	boolean isSaveRequestData() default false;

	/**
	 * 是否保存响应的参数
	 */
	boolean isSaveResponseData() default false;

}
